View Issue Details

IDProjectCategoryView StatusLast Update
0000920luatexluatex bugpublic2015-03-27 11:31
ReporterthomasaAssigned ToHans Hagen 
PrioritylowSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformallOSallOS Versionall
Product Version0.79.1 
Target VersionFixed in Version0.80.0 
Summary0000920: Possible bug when accessing stats library
DescriptionFunction stats_name_to_id(name) returns 0 in two cases:
1.) the name was not found in the stat array
2.) the name matches the first item of the stat array

Function getstats calls function do_getstat ONLY if the returned number is greater than 0.

Thus, for the first entry of the stat array (i.e., pdf_gone), nil is returned.
Additional InformationI am not sure if 'pdf_gone' is of relevance, but I would suggest that stats_name_to_id return -1 if the name is not found and getstats checks for greater than -1.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2015-01-02 23:10 thomasa New Issue
2015-03-21 15:10 Hans Hagen Assigned To => Hans Hagen
2015-03-21 15:10 Hans Hagen Status new => assigned
2015-03-27 11:31 Hans Hagen Status assigned => closed
2015-03-27 11:31 Hans Hagen Resolution open => fixed
2015-03-27 11:31 Hans Hagen Fixed in Version => 0.80.0